# Copyright (C) 2005, The Perl Foundation.
# $Id: extend.pod 12839 2006-05-30 14:34:31Z coke $

=head1 NAME

extend.pod - Parrot extension system

=head1 SYNOPSIS 

    #include "parrot/extend.h"

    int main(int argc, char *argv[]) {
    }

=head1 FILES

=over 4

=item F<include/parrot/extend.h>

=item F<extend.c>

=back

=head1 DESCRIPTION

=head2 Data Structures

TODO

=head2 Constants

TODO

=head2 Functions

=over 4

=item C<Parrot_call_method(Parrot_INTERP interp, Parrot_PMC sub
       Parrot_PMC object, Parrot_STRING method, const char *signature, ...)>

Calls a method on C<object> with the given signature and arguments. C<sub> is
the method that's being called, and C<method> is the name of the method in the
call stack. This is useful for calling aliased methods.

=back

=head1 SEE ALSO

F<extend.c> and F<extend.h> for the implementation.

=cut
